## dovecot 2.2.33.2

=== debian/changelog ===
dovecot (1:2.2.33.2-1ubuntu4) bionic; urgency=medium

  * SECURITY UPDATE: rfc822_parse_domain Information Leak Vulnerability
    - debian/patches/CVE-2017-14461/*.patch: upstream parsing fixes.
    - CVE-2017-14461
  * SECURITY UPDATE: TLS SNI config lookups DoS
    - debian/patches/CVE-2017-15130/*.patch: upstream config filtering fix.
    - CVE-2017-15130

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Feb 2018 12:34:24 -0500

dovecot (1:2.2.33.2-1ubuntu3) bionic; urgency=medium

  * SECURITY UPDATE: Memory leak that can cause crash due to memory exhaustion
    - debian/patches/CVE-2017-15132.patch: fix memory leak in
      auth_client_request_abort() in src/lib-auth/auth-client-request.c.
    - debian/patches/CVE-2017-15132-additional.patch: remove request after
      abort in src/lib-auth/auth-client-request.c,
      src/lib-auth/auth-server-connection.c,
      src/lib-auth/auth-serser-connection.h.
    - CVE-2017-15132

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 23 Feb 2018 09:49:11 -0500 

dovecot (1:2.2.33.2-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:35 +0000

dovecot (1:2.2.33.2-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add updated autopkgtest to debian/tests/*.
    - Drop build dependency on libstemmer-dev (universe)
    - Add mail-stack-delivery
      - add package in d/rules, d/control
      - add d/*mail-stack-delivery* maintainer scripts and default conf
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
      - d/mail-stack-delivery.README.Debian clarified use of configuration files
    - handle conffile removal of /etc/init/dovecot.conf (due to dropping
      upstart). Can be removed once no upgrade path from <yakkety is left.
    - Disable dovecot-lucene plugin as it had various issues and is deprecated
      in favor of solr anyway (LP 1524526).
  * Dropped changes (in Debian):
    - Use Snakeoil SSL certificates by default
      - d/control: Depend on ssl-cert
  * Added changes:
    - d/mail-stack-delivery.postinst: Use ssl key/cert paths now set up by
      dovecot-core; transition for such configs formerly set up by
      mail-stack-delivery to use the new default ssl config (if user had no
      conffile change or choses new defaults).
    - d/mail-stack-delivery.postinst: if moving dovecot to the new defaults on
      upgrade, also move the related postfix key/cert entries.
    - debian/99-mail-stack-delivery.conf: do not explicitly enable protocols
      as all installed are auto-included from the base config now.
    - adapt autopkgtests to match new version.
    - d/control: for the ssl transition to work we need to ensure dovecot-core
      is complete before upgrading mail-stack-delivery, so add a Pre-Depends.
    - d/mail-stack-delivery.postinst: add SSL_CERT/SSL_KEY detection to
      postconf section (was formerly initialized at the now dropped key setup)
    - d/mail-stack-delivery.postinst: fix SSL_CERT/SSL_KEY detection to only
      read non-comments from the right keywords and to strip common bad-chars
    - d/mail-stack-delivery.postinst: stop modifying mandatory tls config,
      recent upstream has sane defaults now
    - debian/99-mail-stack-delivery.conf: drop explicit ssl_cipher_list,
      recent upstream has sane defaults now

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 16 Aug 2017 16:50:29 +0200

dovecot (1:2.2.33.2-1) unstable; urgency=medium

  * [8216f38] New upstream version 2.2.33.2

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 11 Nov 2017 20:59:43 +0200

dovecot (1:2.2.33.1-1) unstable; urgency=medium

  * [dbd1132] New upstream version 2.2.33.1
    + [b3d1f2d] Refresh split-protocols.patch
    + [e0de123] Update pigeonhole to 0.4.21
  * [ef6a1eb] Set mail_privileged_group to 'mail' by default (Closes: #711856)
  * [aeb6cf3] d/copyright: convert to Format 1.0
  * [5961f9d] Use dh-autoreconf for both, dovecot and pigeonhole.
  * [85f1f0f] Bump Standards to 4.1.1; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 13 Oct 2017 16:28:14 +0300

dovecot (1:2.2.32-2) unstable; urgency=medium

  * [fa71c69] dovecot-core.postinst: remove dovecot-common's postrm
    (Closes: #696382)
  * [e835c67] Ship decode2text.sh as an example (Closes: #767313)
  * [63fb486] Deprecate dovecot-dbg in favor of auto dbgsyms
  * [36b44b9] Handle unsupported SSLv2/SSLv3 in the ssl_protocols setting
    gracefully (Closes: #866752)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 19 Sep 2017 16:59:38 +0300

dovecot (1:2.2.32-1) unstable; urgency=medium

  * [6652d9c] New upstream version 2.2.32.
  * [c9cb096] Update pigeonhole to 0.4.20.
  * [b499950] dovecot-core: remove SSL key/cert symlinks on purge
    (Closes: #867157)
  * [dbdcc66] dovecot-core.postinst: ignore adduser errors (Closes: #867849)
  * [476c950] Bump Standards to 4.1.0; no changes needed.
  * [2914efa] Drop B-D on autotools-dev, it is depended on by debhelper 10.
  * [305d022] Remove Fabio, Joel and Marco from Uploaders. Thanks for your work!

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 12 Sep 2017 16:15:52 +0300

dovecot (1:2.2.31-1) unstable; urgency=medium

  * [9b058f3] New upstream version 2.2.31
    + [2b577c1] Bump pigeonhole version to 0.4.19
  * Enable TLS by default:
    + [7ca4b1c] Update SSL cert location patch; cert/key should reside under
      /etc/dovecot/private by default.
    + [05d3d0f] Use ssl-cert-snakeoil certificates to setup SSL by default
      (Closes: #376146, #786570)
    + [862901f] dovecot-core.postinst: manage 10-ssl.conf using ucf
      (Closes: #850538)
    + [418df05] README.Debian: document the new TLS setup
    + [47bade9] dovecot-core.NEWS: document TLS support
  * [8356bc0] Handle /etc/dovecot/private mode using dpkg-statoverride

