=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
+Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                default-libmysqlclient-dev,
                dh-exec,
                dpkg-dev (>= 1.16.1),
                krb5-multidev,
                libbz2-dev,
+               libclucene-dev (>= 2.3),
                libcurl4-gnutls-dev,
                libdb-dev,
                libexpat-dev,
@@ -24,11 +24,12 @@
                libsasl2-dev,
                libsqlite3-dev,
                libssl-dev,
+               libstemmer-dev,
                libwrap0-dev,
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://dovecot.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dovecot.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dovecot.git
@@ -47,6 +48,7 @@
           dovecot-imapd,
           dovecot-ldap,
           dovecot-lmtpd,
+          dovecot-lucene,
           dovecot-managesieved,
           dovecot-mysql,
           dovecot-pgsql,
@@ -56,10 +58,8 @@
           dovecot-sqlite,
           ntp
 Provides: dovecot-abi-${dovecot:ABI-Version}, dovecot-common
-Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4),
-          dovecot-lucene (<<1:2.2.24~)
-Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4),
-        dovecot-lucene (<<1:2.2.24~)
+Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
+Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
 Description: secure POP3/IMAP server - core files
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -247,18 +247,14 @@
  .
  This package provides Solr full text search support for Dovecot.
 
-Package: mail-stack-delivery
-Architecture: all
-Pre-Depends: dovecot-core (>= ${source:Version})
-Depends: dovecot-imapd, dovecot-pop3d, dovecot-managesieved,
- postfix, ${misc:Depends}
-Replaces: dovecot-postfix (<< 1:1.2.12-0ubuntu1~)
-Description: mail server delivery agent stack provided by Ubuntu server team
- Ubuntu's mail stack provides fully operational delivery with
- safe defaults and additional options. Out of the box it supports IMAP,
- POP3 and SMTP services with SASL authentication and Maildir as default
- storage engine.
- .
- This package contains configuration files for dovecot.
- .
- This package modifies postfix's configuration to integrate with dovecot
+Package: dovecot-lucene
+Architecture: any
+Depends: dovecot-core (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: secure POP3/IMAP server - Lucene support
+ Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package provides Lucene full text search support for Dovecot.
