=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,8 @@
 
 solr_files = usr/lib/dovecot/modules/lib??_fts_solr_*
 
+lucene_files = usr/lib/dovecot/modules/lib??_fts_lucene_*
+
 dev_files = usr/include/* \
 	    usr/lib/dovecot/dovecot-config \
 	    usr/share/aclocal/*.m4
@@ -86,7 +88,7 @@
 	            --with-solr \
 	            --with-ioloop=best \
 	            --with-libwrap \
-	            --without-lucene \
+	            --with-lucene \
 		    --with-lz4 \
 	            --prefix=/usr \
 	            --sysconfdir=/etc \
@@ -114,6 +116,9 @@
 		--disable-static)
 
 override_dh_auto_build:
+	# Remove all-settings.c and let it be re-generated from the (patched)
+	# component settings files.
+	rm -f src/config/all-settings.c
 	dh_auto_build --parallel
 	dh_auto_build --parallel -D $(PIGEONHOLE_DIR)
 
@@ -158,14 +163,15 @@
 	install -m644 debian/dovecot-imapd.ufw.profile debian/dovecot-imapd/etc/ufw/applications.d/dovecot-imapd
 	install -m644 debian/dovecot-pop3d.ufw.profile debian/dovecot-pop3d/etc/ufw/applications.d/dovecot-pop3d
 
-	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
-	cp $(CURDIR)/debian/99-mail-stack-delivery.conf $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
-
 override_dh_installpam:
 	dh_installpam -pdovecot-core --name=dovecot
 
 override_dh_installinit:
 	dh_installinit -pdovecot-core --name=dovecot -u"defaults 20"
+
+override_dh_installsystemd:
+	dh_installsystemd -pdovecot-core dovecot.service
+	dh_installsystemd -pdovecot-core --no-enable dovecot.socket
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vdovecot:ABI-Version=$(shell cat $(CURDIR)/debian/dovecot-dev/usr/share/dovecot/dovecot-abi)
@@ -177,11 +183,6 @@
 	# Do not add an ldconfig trigger; none of the dovecot shared libraries
 	# are public.
 	dh_makeshlibs -n
-
-
-override_dh_systemd_enable:
-	dh_systemd_enable -pdovecot-core dovecot.service
-	dh_systemd_enable -pdovecot-core --no-enable dovecot.socket
 
 override_dh_installdocs:
 	dh_installdocs
