## dovecot 2.2.36

=== debian/changelog ===
dovecot (1:2.2.36-1) unstable; urgency=medium

  * [19f2274] d/gbp.conf: set merge-mode to "merge" to preserve pigeonhole/
    when importing new dovecot sources
  * [6b9bf0d] New upstream version 2.2.36
  * [be12f22] Bump pigeonhole version to 0.4.24
    + Remove new file under doc/rfc
    + Ship the new imap_filter_sieve module in dovecot-sieve
  * [b77be59] Bump Standards-Version to 4.1.4; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 06 Jun 2018 09:31:49 +0300

dovecot (1:2.2.35-2) unstable; urgency=medium

  * [7665652] Use git-subtree to generate pigeonhole patch from git; add
    single-debian-patch to d/source/local-options
  * [bfa0f10] d/rules: specify libdir manually; previous upload moved modules
    under /usr/lib/<triplet>, which was bound to break existing setups
  * [982e826] d/copyright: adjust pigeonhole path and bump years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 22 Mar 2018 16:56:40 +0200

dovecot (1:2.2.35-1) unstable; urgency=medium

  * [8108cba] New upstream version 2.2.35
  * [6cbbaa1] Update pigeonhole to 0.4.23 (Closes: #892137)
  * [9ace5f2] Switch Vcs-* URLs to salsa.d.o
  * [ef40625] d/rules: call configure via dh_auto_configure.
    Thanks to Helmut Grohne (Closes: #885854)
  * [a459455] Drop B-D on libcurl4-gnutls-dev; removed upstream since 2.2
  * [235af9d] Update upstream signing key

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 20 Mar 2018 11:15:42 +0200
