=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                krb5-multidev,
                libbz2-dev,
                libclucene-dev (>= 2.3),
-               libcurl4-gnutls-dev,
                libdb-dev,
                libexpat-dev,
                libexttextcat-dev,
@@ -29,10 +28,10 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://dovecot.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dovecot.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dovecot.git
+Vcs-Git: https://salsa.debian.org/debian/dovecot.git
+Vcs-Browser: https://salsa.debian.org/debian/dovecot
 
 Package: dovecot-core
 Architecture: any
