=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # <addon>_files will be automatically moved from dovecot's tree to the
 # respective package.
 imapd_files = usr/lib/dovecot/imap* \
-	      usr/lib/dovecot/modules/lib??_imap_!(sieve*) \
+	      usr/lib/dovecot/modules/lib??_imap_!(*sieve*) \
 	      usr/share/dovecot/conf.d/??-imap*
 
 pop3d_files = usr/lib/dovecot/pop3* \
@@ -56,7 +56,7 @@
 
 sieve_files = usr/bin/sieve* \
 	      usr/lib/dovecot/modules/lib??_sieve* \
-	      usr/lib/dovecot/modules/lib??_imap_sieve* \
+	      usr/lib/dovecot/modules/lib??_imap_*sieve* \
 	      usr/lib/dovecot/modules/doveadm/lib??_doveadm_sieve* \
 	      usr/lib/dovecot/modules/sieve \
 	      usr/lib/dovecot/libdovecot-sieve* \
@@ -77,7 +77,7 @@
 	dh_autoreconf -- debian/autogen.sh
 
 override_dh_auto_configure:
-	KRB5CONFIG=krb5-config.mit ./configure \
+	KRB5CONFIG=krb5-config.mit dh_auto_configure -- \
 	            --with-ldap=plugin \
 	            --with-ssl=openssl \
 	            --with-sql=plugin \
@@ -90,12 +90,8 @@
 	            --with-libwrap \
 	            --with-lucene \
 		    --with-lz4 \
-	            --prefix=/usr \
-	            --sysconfdir=/etc \
+		    --libdir=\$${prefix}/lib \
 	            --libexecdir=\$${prefix}/lib \
-	            --localstatedir=/var \
-	            --mandir=\$${prefix}/share/man \
-	            --infodir=\$${prefix}/share/info \
 		    --docdir=\$${prefix}/share/doc/dovecot-core \
 	            --with-moduledir=\$${prefix}/lib/dovecot/modules \
 	            --disable-rpath \
@@ -104,16 +100,13 @@
 	$(MAKE) dovecot-config
 	
 	# Pigeonhole
-	(cd $(PIGEONHOLE_DIR)/ && \
-	    touch stamp.h.in && \
-	    sh configure \
+	touch $(PIGEONHOLE_DIR)/stamp.h.in
+	chmod +x $(PIGEONHOLE_DIR)/configure
+	dh_auto_configure -D $(PIGEONHOLE_DIR) -- \
 	        --with-dovecot=../ \
-		--prefix=/usr \
-		--sysconfdir=/etc \
+	        --libdir=\$${prefix}/lib \
 		--libexecdir=\$${prefix}/lib \
-		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info \
-		--disable-static)
+		--disable-static
 
 override_dh_auto_build:
 	# Remove all-settings.c and let it be re-generated from the (patched)
@@ -186,7 +179,6 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	cp pigeonhole/ChangeLog	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.ChangeLog
 	cp pigeonhole/README	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.README
 	cp pigeonhole/NEWS	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.NEWS
