=== debian/watch ===
# watch control file for uscan
version=3
# Site                                      Version Script
opts="pgpsigurlmangle=s/$/.sig/" \
	https://dovecot.org/releases/2.2/dovecot-(.*\.[0-9]+)\.tar\.gz debian uupdate
