## dovecot 2.3.2.1

=== debian/changelog ===
dovecot (1:2.3.2.1-1ubuntu3.4) cosmic-security; urgency=medium

  * SECURITY UPDATE: submission-login denial of service issues
    - debian/patches/CVE-2019-1149x-1.patch: remove unused
      client->pending_starttls in src/submission-login/client.h.
    - debian/patches/CVE-2019-1149x-2.patch: fix crash occurring when
      client disconnects during authentication in
      src/submission-login/client-authenticate.c,
      src/submission-login/client.c.
    - debian/patches/CVE-2019-1149x-3.patch: fix AUTH response error
      handling so that it stops reading more input in
      src/lib-smtp/smtp-server-cmd-auth.c.
    - CVE-2019-11494
    - CVE-2019-11499

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 29 Apr 2019 07:46:18 -0400

dovecot (1:2.3.2.1-1ubuntu3.3) cosmic-security; urgency=medium

  * SECURITY UPDATE: JSON encoder assert DoS
    - debian/patches/CVE-2019-10691.patch: escape invalid UTF-8 as unicode
      bytes in src/lib/json-parser.c, src/lib/test-json-parser.c.
    - CVE-2019-10691

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Apr 2019 12:33:03 -0400

dovecot (1:2.3.2.1-1ubuntu3.2) cosmic-security; urgency=medium

  * SECURITY UPDATE: stack overflow when reading FTS or POP3-UIDL header
    - debian/patches/CVE-2019-7524-1.patch: fix buffer overflow when
      reading oversized hdr-pop3-uidl header in
      src/lib-storage/index/index-pop3-uidl.c.
    - debian/patches/CVE-2019-7524-2.patch: fix buffer overflow when
      reading oversized fts header in src/plugins/fts/fts-api.c.
    - CVE-2019-7524

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 29 Mar 2019 07:49:50 -0400

dovecot (1:2.3.2.1-1ubuntu3.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: incorrect client certificate validation
    - debian/patches/CVE-2019-3814-1.patch: do not import empty certificate
      username in src/auth/auth-request.c.
    - debian/patches/CVE-2019-3814-2.patch: fail authentication if
      certificate username was unexpectedly missing in
      src/auth/auth-request-handler.c.
    - debian/patches/CVE-2019-3814-3.patch: ensure we get username from
      certificate in src/login-common/sasl-server.c.
    - CVE-2019-3814

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 28 Jan 2019 08:49:23 -0500

dovecot (1:2.3.2.1-1ubuntu3) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS 1.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 29 Sep 2018 01:36:48 +0100

dovecot (1:2.3.2.1-1ubuntu2) cosmic; urgency=medium

  * d/p/fix-glibc-crypt-ftbfs: cherry-pick from upstream to find crypt(3)
    correctly to fix FTBFS (LP: #1793138).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 20 Sep 2018 08:51:00 +0100

dovecot (1:2.3.2.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1771524). Remaining changes:
    - carry mail-stack-delivery as empty transitional package
      (can be dropped >20.04)
  * Dropped Changes
    - Add updated autopkgtest to debian/tests/* (LP: 1638865)
      (those becamce superfluous by being mostly identical to the tests in
       debian/tests/usage that are now packaged by Debian.)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 03 Aug 2018 12:31:43 +0200

dovecot (1:2.3.2.1-1) unstable; urgency=medium

  * [40ba9f0] New upstream bugfix release 2.3.2.1
  * [87045ac] Drop fix-ftbfs-on-32bit.patch; merged upstream
  * [5bb22a4] Bump Standards-Version to 4.1.5; no changes needed

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 10 Jul 2018 17:51:43 +0300

dovecot (1:2.3.2-2) unstable; urgency=medium

  * [48067de] Fix FTBFS on 32-bit platforms by cherry-picking upstream commit
    1e23986f.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 04 Jul 2018 12:43:14 +0300

dovecot (1:2.3.2-1) unstable; urgency=medium

  * [bb03669] New upstream version 2.3.2
    + Upload to unstable
  * [d29da3a] Merge 2.3 package changes from experimental. Important changes:
    + [b3d1e17] Enable AppArmor support, see
      https://wiki2.dovecot.org/Plugins/Apparmor
      • B-D on libapparmor-dev
    + [c0c55bd] Enable Lua scripting support for authdb/passdb.
      • B-D on liblua5.3-dev
      • New binary package, dovecot-auth-lua
    + [4f6792e] Build with sodium support, enabling the ARGON2I and ARGON2ID
      password schemes.
      • B-D on libsodium-dev
    + [54347e7] Build with ICU support enabling FTS unicode normalization
      • B-D on libicu-dev
    + New dovecot-submissiond binary package for the dovecot submission agent;
      see https://wiki2.dovecot.org/Submission.
  * [4db4813] Change maintainer address to dovecot@packages.d.o
  * [5118354] Update pigeonhole to 0.5.2
  * [52a7af4] Drop murmur3-big-endian.patch; merged upstream
  * [22a6eee] Refresh dovecot_name.patch
  * [3af7568] dovecot_name.patch: apply to submissiond as well

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 04 Jul 2018 08:57:45 +0300

dovecot (1:2.2.35-2ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1771816). Remaining changes:
    - Add updated autopkgtest to debian/tests/* (these tests got simplified
      and streamlined to use the packages default configuration which solves
      LP: #1638865)
  * Dropped Changes (now upstream)
    - SECURITY UPDATE: rfc822_parse_domain Information Leak Vulnerability
    - SECURITY UPDATE: TLS SNI config lookups DoS
    - SECURITY UPDATE: Memory leak that can cause crash due to memory exhaustion
  * Dropped Changes (no more needed after 18.04)
    - handle conffile removal of /etc/init/dovecot.conf (due to dropping
      upstart).
  * Dropped Changes (no more needed)
    - Drop build dependency on libstemmer-dev (universe) - this is now in main
    - Disable dovecot-lucene plugin as it had various issues and is deprecated
      in favor of solr anyway (LP 1524526) - no more failing in Cosmic.
  * Dropped Changes (mail-stack-delivery)
    It was decided to no more carry mail-stack-delivery as a package in favor

