=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dovecot Maintainers <dovecot@packages.debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>,
            Jelmer Vernooij <jelmer@debian.org>,
            Apollon Oikonomopoulos <apoikos@debian.org>
@@ -10,17 +11,21 @@
                dh-exec,
                dpkg-dev (>= 1.16.1),
                krb5-multidev,
+               libapparmor-dev,
                libbz2-dev,
                libclucene-dev (>= 2.3),
                libdb-dev,
+               libicu-dev,
                libexpat-dev,
                libexttextcat-dev,
                libldap2-dev,
                liblz4-dev,
                liblzma-dev,
+               liblua5.3-dev,
                libpam0g-dev,
                libpq-dev,
                libsasl2-dev,
+               libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
                libstemmer-dev,
@@ -28,7 +33,7 @@
                lsb-release,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: http://dovecot.org/
 Vcs-Git: https://salsa.debian.org/debian/dovecot.git
 Vcs-Browser: https://salsa.debian.org/debian/dovecot
@@ -55,6 +60,7 @@
           dovecot-sieve,
           dovecot-solr,
           dovecot-sqlite,
+          dovecot-submissiond,
           ntp
 Provides: dovecot-abi-${dovecot:ABI-Version}, dovecot-common
 Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
@@ -257,3 +263,31 @@
  fast, extensible, and portable.
  .
  This package provides Lucene full text search support for Dovecot.
+
+Package: dovecot-submissiond
+Architecture: any
+Depends: dovecot-core (= ${binary:Version}),
+         ucf (>= 2.0020),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: dovecot-submission (<< 1:2.3.1-2~)
+Replaces: dovecot-submission (<< 1:2.3.1-2~)
+Description: secure POP3/IMAP server - mail submission agent
+ Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package contains the Dovecot Mail Submission Agent which implements a
+ basic SMTP submission service with BURL support.
+
+Package: dovecot-auth-lua
+Architecture: any
+Depends: dovecot-core (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: secure POP3/IMAP server - Lua authentication plugin
+ Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
