## dovecot 2.3.3

=== debian/changelog ===
dovecot (1:2.3.3-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Apollon Oikonomopoulos ]
  * [6591a99] New upstream version 2.3.3
  * [3d718ec] Bump Standards-Version to 4.2.1; no changes needed
  * [123bd32] Update pigeonhole to 0.5.3

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 04 Oct 2018 17:29:40 +0300
