## dovecot 2.3.4

=== debian/changelog ===
dovecot (1:2.3.4-2) unstable; urgency=medium

  * [51d1317] Fix FTBFS on 32-bit platforms.
    Cherry-pick upstream commit de42b54, fixing the event-stats test on
    32-bit platforms.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 24 Nov 2018 02:02:17 +0200

dovecot (1:2.3.4-1) unstable; urgency=medium

  * [14c247f] New upstream version 2.3.4
  * [7fed004] Update pigeonhole to 0.5.4

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 23 Nov 2018 22:00:06 +0200
